D4Science Infrastructure - Task #5000

Create new VM for hosting SmartExecutor service

Sep 12,2016 05:00 PM - Alessandro Pieve

Status:
Priority:
Assignee:
Category:
Target version:

Infrastructure:

Closed
High

_InfraScience Systems Engineer

System Application
UnSprintable

Development

Start date:
Due date:
% Done:

Estimated time:

Sep 12,2016

100%
0.00 hour

Description

The new VM should have the same
features as node06.d4science.org
and work on scope :devNext

Plugin for Smart Executor:

org.gcube.accounting

accounting-aggregator-se-plugin

1.0.0-SNAPSHOT

History

#1 - Sep 16, 2016 01:50 PM - Andrea Dell'Amico

- Status changed from New to In Progress

It's going a smart executor but not a generic worker, right? So no generic worker nor R packages.

#2 - Sep 16, 2016 01:51 PM - Andrea Dell'Amico

Plugin for Smart Executor:

org.gcube.accounting

accounting-aggregator-se-plugin

1.0.0-SNAPSHOT

Can you post the exact URL of the jar file?

#3 - Sep 16, 2016 02:14 PM - Alessandro Pieve

yes, a smartExecutor with only the aggregatorPlugin

Path Url plugin:

http://maven.research-infrastructures.eu/nexus/index.html#nexus-search;quick~accounting-aggregator

Repository Path:

/org/gcube/accounting/accounting-aggregator-se-plugin/1.0.0-SNAPSHOT/accounting-aggregator-se-plugin-1.0.0-20160729.125931-6.jar

#4 - Sep 16, 2016 03:08 PM - Andrea Dell'Amico

hostname and Ip are going to be: smartexecutor1-d-d4s.d4science.org 146.48.122.204

#5 - Sep 16, 2016 05:22 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The VM is ready, smartgear and the smartexecutor plugins installed. They answer on port 80, there's a reverse proxy before tomcat.

Alessandro has root and gcube access.
http://maven.research-infrastructures.eu/nexus/index.html#nexus-search;quick%7Eaccounting-aggregator

The smartgear log level is TRACE, let me know if it's needed or if it can be lowered to WARN.

#6 - Sep 19, 2016 06:34 PM - Alessandro Pieve
- Status changed from Feedback to Closed

Change the log level (smartgear log level set to warn)
Launch a test successfully.
